package com.eactive.eai.rms.onl.manage.serviceinfo.jmsqueuemonitor;

import java.util.HashMap;
import java.util.List;

import org.springframework.stereotype.Repository;

import com.eactive.eai.rms.common.base.SqlMapClientTemplateDao;

/**
 *  JMS Queue 관리 DAO 클래스
 *
 */

@Repository("jmsQueueMonitorDao")
@SuppressWarnings("unchecked")
public class JmsQueueMonitorDao extends SqlMapClientTemplateDao {

   
    /**
     * JMS Queue 관리 목록 수 조회
     * @param vo
     * @return
     */
	public int selectListCount(HashMap param) throws Exception {
    	return (Integer)template.queryForObject("JmsQueueMonitor.selectListCount", param);
    }
	 /**
     * JMS Queue 관리 목록 조회
     * @param vo
     * @return
     */
    public List selectList(HashMap param) throws Exception {
    	return template.queryForList("JmsQueueMonitor.selectList", param);
    }
    public List selectQueueMonitoringList(HashMap param) throws Exception {
    	return template.queryForList("JmsQueueMonitor.selectQueueMonitoringList", param);
    }
    public List selectListToExcel(HashMap param) throws Exception {
    	return template.queryForList("JmsQueueMonitor.selectListToExcel", param);
    }
    /**
     * JMS Queue 관리 상세 조회
     * @param vo
     * @return
     */
    public HashMap selectDetail(HashMap param) throws Exception {
    	return (HashMap)template.queryForObject("JmsQueueMonitor.selectDetail", param);
    }
    
    public int selectBoxCount(HashMap param) throws Exception {
    	return (Integer)template.queryForObject("JmsQueueMonitor.selectBoxCount", param);
    }
    
    public int selectInstCount(HashMap param) throws Exception {
    	return (Integer)template.queryForObject("JmsQueueMonitor.selectInstCount", param);
    }
    

    public List<HashMap> detail(JmsQueueMonitorVo vo) {
        return this.template.queryForList("JmsQueueMonitor.detail", vo);
    }
    
    
}
